Bug 68589 - workspace-switcher doesnt always display good names.
workspace-switcher doesnt always display good names.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-panel (Show other bugs)
limbo
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-11 10:11 EDT by Dams
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-30 08:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2002-07-11 10:11:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020625

Description of problem:
In the preferences of the workspace-switcher, when the box "Show workspace names
in the switcher" is checked, and when I'm editing workspace name, if I press the
"close" button, the new name for workspace is not validated. I have to edit
preferences again, press enter in text area for the name and then the applets
display the good name.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. right click on a panel -> add to panel -> Utility -> Workspace switcher.
2. right click on the workspace switcher -> preferences
3. check the box "Show workspace names in the switcher"
4. Add a new workspace
5. Name the workspace but dont press return/enter
6. Press the close button.

	

Actual Results:  The new workspace is still with the old name.


Expected Results:  The new name should have been validated

Additional info:

do right click on the workspace switcher -> preferences again.
press enter in the workspace name area and the new name appears in the applet.
Comment 1 Havoc Pennington 2002-07-11 11:34:55 EDT
I'm pretty sure I saw a fix for this in the upstream ChangeLog yesterday.
We should get it when we pull a new version.
Comment 2 Alexander Larsson 2002-08-30 08:16:27 EDT
Yes. it looks fixed in my install.
Comment 3 Jay Turner 2002-08-30 09:18:25 EDT
Fix confirmed with gnome-panel-2.0.6-8.

Note You need to log in before you can comment on or make changes to this bug.